# -*- coding: utf-8 -*-
from __future__ import annotations

from keep_it_secret import EnvField, SecretsField

from hotpocket_backend.secrets.admin import AdminSecrets

from .common import (
    DeploymentCelerySecrets,
    DeploymentDatabaseSecrets,
    DeploymentOIDCSecrets,
)


class DeploymentAdminSecrets(AdminSecrets):
    SECRET_KEY: str = EnvField.new('HOTPOCKET_BACKEND_SECRET_KEY')

    DATABASE: DeploymentDatabaseSecrets = SecretsField.new(DeploymentDatabaseSecrets)
    CELERY: DeploymentCelerySecrets = SecretsField.new(DeploymentCelerySecrets)

    OIDC: DeploymentOIDCSecrets = SecretsField.new(DeploymentOIDCSecrets)


__secrets__ = DeploymentAdminSecrets()
